Imagick::scaleImage
Imagick::separateImageChannel
Imagick
PHP Manual

# Imagick::segmentImage

Segments an image

### Description

public bool Imagick::segmentImage ( int `$COLORSPACE` , float `$cluster_threshold` , float `$smooth_threshold` [, bool `$verbose` = false ] )

Analyses the image and identifies units that are similar. This method is available if Imagick has been compiled against ImageMagick version 6.4.5 or newer.

### Parameters

`COLORSPACE`

  One of the COLORSPACE constants.

`cluster_threshold`

  A percentage describing minimum number of pixels contained in hexedra before it is considered valid.

`smooth_threshold`

  Eliminates noise from the histogram.

`verbose`

  Whether to output detailed information about recognised classes.

### Return Values